regex-tdfa-1.1.8: Replaces/Enhances Text.Regex

Safe Haskell | Safe-Inferred

Data.IntSet.EnumSet2

# Documentation

newtype EnumSet e

Constructors

EnumSet |

Fields

unEnumSet :: IntSet

Instances

Eq (EnumSet e) |
Ord (EnumSet e) |
Read (EnumSet e) |
Show (EnumSet e) |
Monoid (EnumSet e) |

(\\) :: Enum e => EnumSet e -> EnumSet e -> EnumSet e

null :: Enum e => EnumSet e -> Bool

size :: Enum e => EnumSet e -> Int

member :: Enum e => e -> EnumSet e -> Bool

notMember :: Enum e => Int -> EnumSet e -> Bool

isSubsetOf :: Enum e => EnumSet e -> EnumSet e -> Bool

isProperSubsetOf :: Enum e => EnumSet e -> EnumSet e -> Bool

empty :: Enum e => EnumSet e

singleton :: Enum e => e -> EnumSet e

insert :: Enum e => e -> EnumSet e -> EnumSet e

delete :: Enum e => e -> EnumSet e -> EnumSet e

union :: Enum e => EnumSet e -> EnumSet e -> EnumSet e

unions :: Enum e => [EnumSet e] -> EnumSet e

difference :: Enum e => EnumSet e -> EnumSet e -> EnumSet e

intersection :: Enum e => EnumSet e -> EnumSet e -> EnumSet e

filter :: Enum e => (e -> Bool) -> EnumSet e -> EnumSet e

partition :: Enum e => (e -> Bool) -> EnumSet e -> (EnumSet e, EnumSet e)

split :: Enum e => e -> EnumSet e -> (EnumSet e, EnumSet e)

splitMember :: Enum e => e -> EnumSet e -> (EnumSet e, Bool, EnumSet e)

map :: Enum e => (e -> e) -> EnumSet e -> EnumSet e

fold :: Enum e => (e -> b -> b) -> b -> EnumSet e -> b

elems :: Enum e => EnumSet e -> [e]

toList :: Enum e => EnumSet e -> [e]

fromList :: Enum e => [e] -> EnumSet e

toAscList :: Enum e => EnumSet e -> [e]

fromAscList :: Enum e => [e] -> EnumSet e

fromDistinctAscList :: Enum e => [e] -> EnumSet e

showTree :: Enum e => EnumSet e -> String

showTreeWith :: Enum e => Bool -> Bool -> EnumSet e -> String